# Package de.dhbwstuttgart.parser

Interface Summary
JavaParser.yyInput: must be implemented by a scanner object to supply input to the parser.

Class Summary
BoundedClassIdentifierList
ClassAndParameter: Hilfskonstrukt, um die Grammatik fuer einen Klassenheader ueberschaubar zu halten.
GenericVarDeclarationList
InterfaceAndParameter: Hilfskonstrukt, um die Grammatik fuer einen Interfaceheader ueberschaubar zu halten.
InterfaceList: Hilfskonstrukt fuer die Grammatik, um ungepruefte Typcasts fuer Mengeen zu umgehen.
JavaClassName: Stellt den Namen einer Java Klasse dar.
JavaLexer
JavaParser
PackageName
Scanner
Token
yyCheck0
yyCheck1
yyCheck2
yyCheck3
yyCheckInit

Exception Summary
JavaParser.yyException: thrown for irrecoverable syntax errors and stack overflow.